import java.rmi.Naming;
import java.rmi.registry.LocateRegistry;
import java.util.List;

import implementacoes.ApuracaoImpl;
import implementacoes.CandidatoImpl;
import interfaces.ApuracaoInterface;


public class ServidorApuracao {
	
	static List<CandidatoImpl> candidatos;
	static ApuracaoInterface apuracao;
	static int porta = 8899;
    
	public static void main(String[] args) {
        try {
            System.out.println("Registrando o objeto no RMIRegistry...");
			LocateRegistry.createRegistry(porta);
            
			//votacaoImpl = new VotacaoImpl(candidatos);
			apuracao = new ApuracaoImpl();
			
			Naming.rebind("//localhost:" + porta + "/server", apuracao);
			
			System.out.println("Servidor de Apuração. Aguardando Clientes na porta " + porta + "!");			
        } catch (Exception e) {
            e.printStackTrace();
        }
    } 
}